RubyGems Navigation menu

rubycritic 3.5.2

RubyCritic is a tool that wraps around various static analysis gems to provide a quality report of your Ruby code.

Versions:

  1. 4.6.1 - March 29, 2021 (1.13 MB)
  2. 4.6.0 - January 29, 2021 (1.13 MB)
  3. 4.5.2 - September 04, 2020 (1.12 MB)
  4. 4.5.1 - June 29, 2020 (1.12 MB)
  5. 4.5.0 - May 14, 2020 (1.12 MB)
  6. 3.5.2 - September 27, 2018 (1.12 MB)
Show all versions (73 total)

Runtime Dependencies (9):

  • flay ~> 2.8
  • flog ~> 4.4
  • launchy = 2.4.3
  • parser ~> 2.5.0
  • rainbow ~> 3.0
  • reek ~> 4.4
  • ruby_parser ~> 3.8
  • tty-which ~> 0.3.0
  • virtus ~> 1.0
  • Development Dependencies (11):

  • aruba >= 0.12.0, ~> 0.12
  • bundler >= 1.3.0, ~> 1.3
  • byebug >= 8.0, ~> 9.0
  • cucumber >= 2.2.0, ~> 3.0
  • diff-lcs ~> 1.3
  • fakefs >= 0.10.0, ~> 0.10
  • minitest >= 5.3.0, ~> 5.3
  • minitest-around ~> 0.4.0
  • mocha >= 1.1.0, ~> 1.1
  • rake >= 11.0.0, ~> 12.0
  • rubocop ~> 0.53.0
  • Owners:

    Authors:

    • Guilherme Simoes

    SHA 256 checksum:

    60b7d0a6619ac35dc042a324c65b47adcf53562a4757e7a4b823b1d6f2d8a64d

    Total downloads 4,638,969

    For this version 345,712

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.1.0

    Links: